Classes | UGens>Generators>Deterministic

# PMOsc : Object

Phase modulation oscillator pair.
Source: PMOsc.sc

## Description

Phase modulation sine oscillator pair.

## Class Methods

### PMOsc.ar(carfreq, modfreq, pmindex: 0.0, modphase: 0.0, mul: 1.0, add: 0.0)

### PMOsc.kr(carfreq, modfreq, pmindex: 0.0, modphase: 0.0, mul: 1.0, add: 0.0)

#### Arguments:

carfreq | Carrier frequency in cycles per second.
modfreq | Modulator frequency in cycles per second.
pmindex | Modulation index in radians.
modphase | A modulation input for the modulator's phase in radians.
mul | Output will be multiplied by this value.
add | This value will be added to the output.

### Inherited class methods

## Instance Methods

### Inherited instance methods

## Examples

play({ PMOsc.ar(Line.kr(600, 900, 5), 600, 3, 0, 0.1) }); // modulate carfreq play({ PMOsc.ar(300, Line.kr(600, 900, 5), 3, 0, 0.1) }); // modulate modfreq play({ PMOsc.ar(300, 550, Line.ar(0,20,8), 0, 0.1) }); // modulate index ( e = Env.linen(2, 5, 2); Routine.run({ loop({ play({ LinPan2.ar(EnvGen.ar(e) * PMOsc.ar(2000.0.rand,800.0.rand, Line.kr(0.0, 12.0.rand,9),0,0.1), 1.0.rand2)}); 2.wait; }) }))

helpfile source: /Applications/SuperCollider.app/Contents/Resources/HelpSource/Classes/PMOsc.schelp
link::Classes/PMOsc::